Default module
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startstringOptionalExample:
Start of counting time frame (inclusive), schema YYYY-MM-DD, defaults to one month ago
2024-05-01endstringOptionalExample:
End of counting time frame (inclusive), schema YYYY-MM-DD, defaults to today
2024-05-31groupbystringOptionalExample:
By which value counts should be grouped by. Supports 'user', 'flow', and ' component', defaults to 'user'
userResponses
200
Response when grouping by user
application/json
x-200:Success
Response when grouping by flow
application/json
get/icenter/executions
GET /icenter/executions HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"_id": "636d0762bd257a7eb2373d6c",
"user": "636d0762bd257a7eb2373d6c",
"tenant": "636d0762bd257a7eb2373d6a",
"allFlows": [
"6733658b01bea099edcb98c9",
"673230f301bea099edcb9844",
"67320a6e01bea099edcb97f2",
"6733673b01bea099edcb990c",
"673366e301bea099edcb98ff",
"6733648601bea099edcb98ba",
"6732345d01bea099edcb9863"
],
"executions": 49,
"username": "demo.oih@gmail.com"
},
{
"_id": "664354a82880efa348cf569d",
"user": "664354a82880efa348cf569d",
"tenant": "636d0762bd257a7eb2373d6a",
"allFlows": [
"666c09ad3f909ad48b0980b8",
"6671d6d53f909ad48b098374",
"666c09ae3f909ad48b0980ba",
"6671d6d43f909ad48b098372"
],
"executions": 1178,
"username": "f3271fb2051d1a7e828a4ef2695ddae7333f4135b7a935ffe04a5a4c06e85655"
},
{
"_id": "6645bf6fba266a0ca06d9b9d",
"user": "6645bf6fba266a0ca06d9b9d",
"tenant": "636d0762bd257a7eb2373d6a",
"allFlows": [
"66794760386c949ba07c34ff"
],
"executions": 4,
"username": "60ac6c68f2c521c7688c65480921d751284628f95221863b0537827deaa2d578"
},
{
"_id": "66f426762533968cb240e787",
"user": "66f426762533968cb240e787",
"tenant": "636d0762bd257a7eb2373d6a",
"allFlows": [
"672264bda9cde94983185725",
"67226491a9cde94983185720"
],
"executions": 54,
"username": "d869d9e7338bbc8d63fa67c1bd31ea5f329ce8d0cd72e1e7a0b910d476241e2c"
}
],
"metadata": {
"start": "2024-10-13",
"end": "2024-11-13",
"totalExecutions": 1285
}
}Query parameters
filter[flowId]stringOptionalExample:
{flowId}filter[stepId]stringOptionalExample:
{stepId}filter[tenant]stringRequiredExample:
{tenantId)showErrorsstringOptionalExample:
trueResponses
200Success
application/json
objectOptional
get/logs
GET /logs?filter[tenant]=text HTTP/1.1
Accept: */*
200Success
{}Last updated